package com.isu.gaswellwatch.vo;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;


/**
 * 设备对象 Device
 * 
 * @author scwsl
 * @date 2024-11-17
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DeviceHistoryVO extends Model<DeviceHistoryVO> {

    private static final long serialVersionUID = 1L;

    /** 采集时间 */
    private String collectionTime;

    /** 油压 */
    private String oilPressure;

    /** 套压 */
    private String casPressure;

    /** 输压 */
    private String prePressure;

    /** 运行模式 */
    private String runMode;

    /** 柱塞状态 */
    private String plugStatus;

    /** 气井状态 */
    private String wellStatus;

    /** 倒计时 */
    private String statusEndTime;

    /** 温度 */
    private String temperature;

    /** 湿度 */
    private String humidity;

    /** 太阳能电压 */
    private String solarVoltage;


}
