package com.isu.gaswellwatch.vo;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.experimental.SuperBuilder;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author <a href="mailto:scwsl@foxmail.com">王仕龙</a>
 * 2024/11/15 21:07
 */
@Getter
@Setter
@SuperBuilder
@NoArgsConstructor
public class PageQuery implements Serializable {
    @Serial
    private static final long serialVersionUID = 5208411501118143553L;
    private Integer currentPage;
    private Integer pageSize;
}
